import request from '@/utils/request'
//big/getScreen

//监控列表
export function getEmailList(query) {
    return request({
        url: '/system/email/list',
        method: 'get',
        params: query
    })
}


//获取监控列表详情
export function getEmailInfo(query) {
    return request({
        url: '/system/email/getInfo',
        method: 'get',
        params: query
    })
}

//添加监控列表
export function AddEmailAlarm(query) {
    return request({
        url: '/system/email/add',
        method: 'post',
        params: query
    })
}

//修改监控列表
export function EditEmailAlarm(query) {
    return request({
        url: '/system/email/edit',
        method: 'put',
        params: query
    })
}

//删除监控列表
export function DeleteEmailAlarm(query) {
    return request({
        url: '/system/email/remove?deviceId=' + query,
        method: 'delete',
    })
}